CREATE FUNCTION [dbo].CFU_BancoBBVA_Proveedores_OP_Provincias(@pId_Provincia VARCHAR(3))
RETURNS CHAR(2)
AS
BEGIN
DECLARE @Retorno		CHAR(2)

/*
TABLA DE BBVA

01	CAPITAL FEDERAL
02	BUENOS AIRES
03	CATAMARCA
04	CORDOBA
05	CORRIENTES
06	CHACO
07	CHUBUT
08	ENTRE RIOS
09	FORMOSA
10	JUJUY
11	LA PAMPA
12	LA RIOJA
13	MENDOZA
14	MISIONES
15	NEUQUEN
16	RIO NEGRO
17	SALTA
18	SAN JUAN
19	SAN LUIS
20	SANTA CRUZ
21	SANTA FE
22	SANTIAGO DEL ESTERO
23	TUCUMAN
40	TIERRA DEL FUEGO
*/

/*La funcion se creo el 18/03/2020 para IDEA por el ticket 19.334, para otros clientes hay que cambiar los IFs*/

IF(@pId_Provincia = 'C')
BEGIN
	SET @Retorno = '01' /*CAPITAL FEDERAL*/
END 

IF(@pId_Provincia = 'B')
BEGIN
	SET @Retorno = '02' /*BUENOS AIRES*/
END 

IF(@pId_Provincia = 'K')
BEGIN
	SET @Retorno = '03' /*CATAMARCA*/
END 

IF(@pId_Provincia = 'X')
BEGIN
	SET @Retorno = '04' /*CORDOBA*/
END 

IF(@pId_Provincia = 'W')
BEGIN
	SET @Retorno = '05' /*CORRIENTES*/
END 

IF(@pId_Provincia = 'H')
BEGIN
	SET @Retorno = '06' /*CHACO*/
END 

IF(@pId_Provincia = 'U')
BEGIN
	SET @Retorno = '07' /*CHUBUT*/
END 

IF(@pId_Provincia = 'E')
BEGIN
	SET @Retorno = '08' /*ENTRE RIOS*/
END 

IF(@pId_Provincia = 'P')
BEGIN
	SET @Retorno = '09' /*FORMOSA*/
END 

IF(@pId_Provincia = 'Y')
BEGIN
	SET @Retorno = '10' /*JUJUY*/
END 

IF(@pId_Provincia = 'L')
BEGIN
	SET @Retorno = '11' /*LA PAMPA*/
END 

IF(@pId_Provincia = 'F')
BEGIN
	SET @Retorno = '12' /*LA RIOJA*/
END 

IF(@pId_Provincia = 'M')
BEGIN
	SET @Retorno = '13' /*MENDOZA*/
END 

IF(@pId_Provincia = 'N')
BEGIN
	SET @Retorno = '14' /*MISIONES*/
END 

IF(@pId_Provincia = 'Q')
BEGIN
	SET @Retorno = '15' /*NEUQUEN*/
END 

IF(@pId_Provincia = 'R')
BEGIN
	SET @Retorno = '16' /*RIO NEGRO*/
END 

IF(@pId_Provincia = 'A')
BEGIN
	SET @Retorno = '17' /*SALTA*/
END 

IF(@pId_Provincia = 'J')
BEGIN
	SET @Retorno = '18' /*SAN JUAN*/
END 

IF(@pId_Provincia = 'D')
BEGIN
	SET @Retorno = '19' /*SAN LUIS*/
END 

IF(@pId_Provincia = 'Z')
BEGIN
	SET @Retorno = '20' /*SANTA CRUZ*/
END 

IF(@pId_Provincia = 'S')
BEGIN
	SET @Retorno = '21' /*SANTA FE*/
END 

IF(@pId_Provincia = 'G')
BEGIN
	SET @Retorno = '22' /*SANTIAGO DEL ESTERO*/
END 

IF(@pId_Provincia = 'T')
BEGIN
	SET @Retorno = '23' /*TUCUMAN*/
END 

IF(@pId_Provincia = 'V')
BEGIN
	SET @Retorno = '40' /*TIERRA DEL FUEGO*/
END 

RETURN ISNULL(@Retorno, '01')

END